/* small */
small {
    color: #7b7b7b;
}

/* strong */
strong {
	font-weight: 600;
}

/* ul ol */
ul li,
ol li {
	padding: .25rem 0;
}

/* h tags */
h1, h2, h3, h4, h5, h6 {
	margin: 0;
}
h1 {
    font-size: 36px;
}
h2 {
    font-size: 30px;
}
h3 {
    font-size: 26px;
}
h4 {
    font-size: 24px;
}

/* p */
p {
	line-height: 1.5;
}
	
/* container */
.container {
	width: calc(100% - 2rem);
	max-width: 1280px;
	margin-inline: auto;
	padding-inline: 1rem;
}
.container.column {
	flex-direction: column;
}

/* nav */
nav ul {
	list-style: none;
	padding: 0;
	margin: 0;
}

/* img video */
img,
video {
	max-width: 100%;
}

/* figure */
figure {
	/*margin: 1rem 0;*/
	margin: 0;
}
figure img {
	aspect-ratio: 16 / 9;
	object-fit: cover;
	border-radius: var(--border-radius);
	width: 100%;
}
figure figcaption {
	font-size: .875rem;
	color: rgb(74, 88, 112);
	text-align: center;
}

/* header */
header {
	display: contents;
}
@media (hover: hover) {
	header nav a:hover {
		text-decoration: underline;
	}
}
header nav ul {
	display: flex;
	gap: 1rem;
}
header .navbar {
	background: rgba(0,0,0,.75);
	backdrop-filter: blur(.25rem);
	-webkit-backdrop-filter: blur(.25rem);
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	z-index: 1005;
}
header .navbar .container {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 1rem;
	height: 65px;
}
header .navbar a.logo {
	display: flex;
	align-items: center;
	gap: .5rem;
	color: #fff;
	font-size: 1.5rem;
	font-weight: 800;
	text-decoration: none;
}
@media (hover: hover) {
	header .navbar a.logo:hover {
		opacity: .8;
	}
}
header .navbar a.logo svg {
	width: 28px;
	height: 28px;
	display: block;
	flex: 0 0 28px;
}
header .navbar a.logo img {
	height: 60px;
}

/* footer */
footer {
	background: rgba(0,0,0,1);
	padding: 2rem 0;
	color: #fff;
}
footer h4 {
	margin: .5rem 0 .25rem;
}
footer svg {
	stroke: #fff;
}
footer a {
	color: #fff;
	text-decoration: none;
}
@media (hover: hover) {
	footer a:hover {
		text-decoration: underline;
	}
}
footer .footer_grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
	gap: 40px;
	margin-bottom: 40px;
}
footer .footer_grid .footer_item.contact ul {
	list-style: none;
	padding: 0;
}
footer .footer_grid .footer_item.contact ul li {
	display: flex;
	align-items: center;
	gap: .75rem;
	padding: .5rem 0;
}
footer .footer_grid .footer_item.contact ul li address {
	font-style: normal;
}
footer .footer_copyright {
	border-top: 1px solid var(--border-color);
	padding-top: 2rem;
	text-align: center;
	color: rgba(255,255,255,.75);
	font-size: .85rem;
}

/* footer_floating_cta */
a.footer_floating_cta {
	position: fixed;
	right: 1rem;
	bottom: calc(1rem + env(safe-area-inset-bottom, 0px));
	z-index: 1004;
	
	height: 54px;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: .5rem;
	border-radius: var(--border-radius);
	padding: 0 1rem;
	
	text-decoration: none;
	color: #111;
	
	box-shadow: -.25rem .25rem .5rem rgba(0,0,0,.5);
	
	background: var(--button-color-orange);
	
	transition: .2s all;
}
@media (hover: hover) {
	a.footer_floating_cta:hover {
		box-shadow: -.15rem .15rem .25rem rgba(0,0,0,.25);
	}
}
a.footer_floating_cta:active {
	transform: scale(var(--button-variant-primary-state-active-scale, .96));
}


/* section */
section {
	
}
section h2 {
	margin-bottom: 1rem;
}

/* breadcrumb */
.breadcrumb {
	background: var(--hero-beige);
}
.breadcrumb nav {
	display: flex;
	gap: 1rem;
	font-size: .875rem;
	padding: .5rem 1rem;
}
.breadcrumb nav ol {
	list-style: none;
    margin: 0;
    padding: 0;
    list-style-type: none;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.breadcrumb nav ol li {
	display: inline;
	margin: 0;
	/*color: rgba(26, 26, 26, 0.58);*/
	color: inherit;
}
.breadcrumb nav ol li+li:before {
    content: "\203A";
    padding: 0 .5rem;
    color: rgba(26, 26, 26, 0.58);
}
.breadcrumb nav ol li a {
	/*color: rgba(26, 26, 26, 0.58);*/
	color: #62748e;
	text-decoration: none;
	
}

/* page_hero */
.page_hero {
	background: var(--hero-beige);
	padding: 2rem 0 2.5rem;
	border-bottom: 1px solid var(--border-color);
}
.page_hero h1 {
	max-width: 720px;
}
.page_hero h1 span {
	color: var(--color-green);
}
.page_hero p {
	max-width: 720px;
	font-size: 1.25rem;
	color: var(--color-faded);
	margin: 1rem 0 0;
}
.page_hero a {
	margin: 1rem 0 0;
}

/* page_content */
.page_content {
	padding: 1rem 0 0;
}
.page_content .container {
	/*display: flex;*/
	gap: 1rem;
}
.page_content .page_grid {
	display: flex;
	gap: 1rem;
	align-items: flex-start;
	
	flex: 1;
}
.page_content .page_grid .page_body {
	flex: 0 1 720px;
	max-width: 720px;
	display: flex;
	flex-direction: column;
	gap: 2rem;
}
.page_content .page_grid .page_body p,
.page_content .page_grid .page_body li {
	line-height: 1.75;
}
.page_content .page_grid .page_sidebar {
	flex: 1;
    min-width: 0;
	max-width: 385px;
}
.page_content .page_grid .page_sidebar .sidebar_about {
	position: sticky;
	top: calc(65px + 1rem);
	border: 1px solid var(--border-color);
	padding: 1rem;
	border-radius: var(--border-radius);
	
	display: flex;
	flex-direction: column;
	gap: .75rem;
}
.page_content .page_grid .page_sidebar .sidebar_about h3 {
	font-size: 1.15rem;
	text-align: center;
}
.page_content .page_grid .page_sidebar .sidebar_about .about_content {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
.page_content .page_grid .page_sidebar .sidebar_about .about_content .about_body p {
	margin: 0 0 1rem 0;
}
.page_content .page_grid .page_sidebar .sidebar_about .about_content .about_media {
	flex: 0 0 225px;
	min-width: 225px;
	height: 225px;
	border-radius: var(--border-radius);
	overflow: hidden;
	margin: auto;
}
.page_content .page_grid .page_sidebar .sidebar_about .about_content .about_media img {
	object-fit: cover;
	width: 100%;
	height: 100%;
}

/* booking_form */
.booking_form {
	border: 1px solid var(--border-color);
	border-radius: var(--border-radius);
	padding: 1rem;
	box-shadow: 0 .75rem 20px rgba(0,0,0,.25);
}
.booking_form .address-suggestions-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 1000;
    background: #fff;
    border: 1px solid #ccc;
    border-top: none;
    max-height: 200px;
    overflow-y: auto;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
}
.booking_form .suggestion-item {
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #eee;
    font-size: 14px;
}
.booking_form .suggestion-item:hover {
    background-color: #f5f5f5;
}
.booking_form .price_estimate p {
	margin: 0;
}
.booking_form .price_estimate .price_tag {
	font-size: 1.25rem;
	font-weight: 600;
}

/* faq_accordion */
.faq_accordion {
	display: flex;
	flex-direction: column;
}
.faq_accordion details {
	border-bottom: 1px solid var(--border-color);
    transition: all 0.2s ease;
}
.faq_accordion details:first-of-type {
	border-top: 1px solid var(--border-color);
}
.faq_accordion summary::-webkit-details-marker {
    display: none;
}
.faq_accordion summary {
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    user-select: none;
	padding: 1rem;
}
.faq_accordion summary .arrow {
    width: 8px;
    height: 8px;
    border-right: 2px solid rgba(var(--theme-green), .8);
    border-bottom: 2px solid rgba(var(--theme-green), .8);
    transform: rotate(45deg);
    transition: transform 0.2s ease;
}
/*.faq_accordion details[open] {
    background: #cbd5e1;
}*/
.faq_accordion details[open] summary .arrow {
    transform: rotate(-135deg);
}
.faq_accordion details .faq_answer {
    padding: 0 1rem 1rem 1rem;
}
.faq_accordion details .faq_answer p {
    margin: 0;
}

/* grid */
ul.grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(calc(50% - 1rem), 1fr));
	grid-column-gap: 1rem;
	grid-row-gap: 1.5rem;
	list-style: none;
	padding: 0;
	margin: 0;
}
ul.grid a {
	color: initial;
	text-decoration: none;
	
	display: flex;
	flex-direction: column;
	height: 100%;
}
ul.grid p {
	margin: 0;
}
ul.grid .grid_item {
	border: 1px solid var(--border-color);
	border-radius: var(--border-radius);
	padding: 0;
	overflow: hidden;
	transition: transform 0.2s ease, box-shadow 0.2s ease;
}

/* card_case */
.card_case .case_body {
	display: flex;
	flex-direction: column;
	gap: .25rem;
	padding: .25rem .5rem;
}
.card_case .case_body .case_metas {
	display: flex;
	flex-wrap: wrap;
	gap: .5rem;
}
.card_case .case_body .case_metas .case_meta {
	color: rgba(var(--theme-green));
	display: flex;
	align-items: center;
	gap: .25rem;
}

/* footer_helper */
.footer_helper {
	margin-top: 2rem;
	padding: 2rem 0;
	background: #f7f7f7;
	text-align: center;
}
.footer_helper a {
	color: inherit;
}
@media (hover: hover) {
	.footer_helper a:hover {
		text-decoration: none;
	}
}
.footer_helper .social {
	margin: auto;
}
.footer_helper .social ul {
	display: flex;
	justify-content: center;
	gap: 1rem;
	list-style: none;
	padding: 0;
	margin: 0;
	line-height: 1;
}
.footer_helper .social ul li svg {
	width: 24px;
	height: 24px;
	fill: initial;
	transition: all .2s ease;
}
@media (hover: hover) {
	.footer_helper .social a:hover svg {
		opacity: .8;
	}
}